import { p as promiseResolve, b as bootstrapLazy } from './index-d094b81c.js';

/*
 Stencil Client Patch Esm v2.6.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["circle-progress_2",[[1,"circle-progress",{"progress":[1],"progressSize":[1,"progress-size"],"progressColor":[1,"progress-color"]}],[1,"ion-status",{"statusColor":[1,"status-color"],"statusSize":[1,"status-size"]}]]],["my-component",[[1,"my-component",{"first":[1]}]]]], options);
  });
};

export { defineCustomElements };
